bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#9755: 24.0.90; trying to configure with GCC 4.6.1 on intel Mac OS X


From: Peter Dyballa
Subject: bug#9755: 24.0.90; trying to configure with GCC 4.6.1 on intel Mac OS X 10.6.8
Date: Fri, 14 Oct 2011 20:52:57 +0200

Hello!

The configure scripts adds "-no-cpp-precomp" to CPPFLAGS although GCC 4.6.1 
does not support this Apple addition:

        configure:5751: checking how to run the C preprocessor
        configure:5821: result: gcc-4 -E -no-cpp-precomp -I/opt/local/include 
-L/opt/local/lib
        configure:5841: gcc-4 -E -no-cpp-precomp -I/opt/local/include 
-L/opt/local/lib  conftest.c
        gcc-4: error: unrecognized option '-no-cpp-precomp'

A configure option like "-no-apple-stuff" would be nice – or removing the 
-no-cpp-precomp section. Everyone who thinks this option is needed can add it 
to the CPPFLAGS.

--
Greetings

  Pete

Life is the only flaw in an otherwise perfect nonexistence
                                – Schopenhauer






reply via email to

[Prev in Thread] Current Thread [Next in Thread]